Package ghidra.rmi.trace

# Class TraceRmi.RequestPutRegisterValue.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestPutRegisterValue.Builder>
com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestPutRegisterValue.Builder>
ghidra.rmi.trace.TraceRmi.RequestPutRegisterValue.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TraceRmi.RequestPutRegisterValueOrBuilder`, `Cloneable`

Enclosing class:
  `TraceRmi.RequestPutRegisterValue`

public static final class TraceRmi.RequestPutRegisterValue.Builder extends com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestPutRegisterValue.Builder> implements TraceRmi.RequestPutRegisterValueOrBuilder
Protobuf type `ghidra.rmi.trace.RequestPutRegisterValue`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.RequestPutRegisterValue.Builder`
  `addAllValues(Iterable<? extends TraceRmi.RegVal> values)`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `addValues(int index, TraceRmi.RegVal value)`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `addValues(int index, TraceRmi.RegVal.Builder builderForValue)`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `addValues(TraceRmi.RegVal value)`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `addValues(TraceRmi.RegVal.Builder builderForValue)`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `TraceRmi.RegVal.Builder`
  `addValuesBuilder()`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `TraceRmi.RegVal.Builder`
  `addValuesBuilder(int index)`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `TraceRmi.RequestPutRegisterValue`
  `build()`
  `TraceRmi.RequestPutRegisterValue`
  `buildPartial()`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `clear()`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `clearOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `clearSnap()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `clearSpace()`
  `string space = 3;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `clearValues()`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `TraceRmi.RequestPutRegisterValue`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjId.Builder`
  `getOidBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.Snap`
  `getSnap()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.Snap.Builder`
  `getSnapBuilder()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.SnapOrBuilder`
  `getSnapOrBuilder()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `String`
  `getSpace()`
  `string space = 3;`
  `com.google.protobuf.ByteString`
  `getSpaceBytes()`
  `string space = 3;`
  `TraceRmi.RegVal`
  `getValues(int index)`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `TraceRmi.RegVal.Builder`
  `getValuesBuilder(int index)`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `List<TraceRmi.RegVal.Builder>`
  `getValuesBuilderList()`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `int`
  `getValuesCount()`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `List<TraceRmi.RegVal>`
  `getValuesList()`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `TraceRmi.RegValOrBuilder`
  `getValuesOrBuilder(int index)`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `List<? extends TraceRmi.RegValOrBuilder>`
  `getValuesOrBuilderList()`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasSnap()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `mergeFrom(com.google.protobuf.Message other)`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `mergeFrom(TraceRmi.RequestPutRegisterValue other)`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `mergeOid(TraceRmi.DomObjId value)`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `mergeSnap(TraceRmi.Snap value)`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `removeValues(int index)`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `setOid(TraceRmi.DomObjId value)`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `setOid(TraceRmi.DomObjId.Builder builderForValue)`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `setSnap(TraceRmi.Snap value)`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `setSnap(TraceRmi.Snap.Builder builderForValue)`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `setSpace(String value)`
  `string space = 3;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `setSpaceBytes(com.google.protobuf.ByteString value)`
  `string space = 3;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `setValues(int index, TraceRmi.RegVal value)`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`
  `TraceRmi.RequestPutRegisterValue.Builder`
  `setValues(int index, TraceRmi.RegVal.Builder builderForValue)`
  `repeated .ghidra.rmi.trace.RegVal values = 4;`

  ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

  `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestPutRegisterValue.Builder>`

  - ### clear

    public TraceRmi.RequestPutRegisterValue.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestPutRegisterValue.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestPutRegisterValue.Builder>`

  - ### getDefaultInstanceForType

    public TraceRmi.RequestPutRegisterValue getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public TraceRmi.RequestPutRegisterValue build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public TraceRmi.RequestPutRegisterValue buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### mergeFrom

    public TraceRmi.RequestPutRegisterValue.Builder mergeFrom(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestPutRegisterValue.Builder>`

  - ### mergeFrom

    public TraceRmi.RequestPutRegisterValue.Builder mergeFrom(TraceRmi.RequestPutRegisterValue other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<TraceRmi.RequestPutRegisterValue.Builder>`

  - ### mergeFrom

    public TraceRmi.RequestPutRegisterValue.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<TraceRmi.RequestPutRegisterValue.Builder>`
    Throws:
      `IOException`

  - ### hasOid

    public boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `hasOid` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`
    Returns:
      Whether the oid field is set.

  - ### getOid

    public TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `getOid` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`
    Returns:
      The oid.

  - ### setOid

    public TraceRmi.RequestPutRegisterValue.Builder setOid(TraceRmi.DomObjId value)
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### setOid

    public TraceRmi.RequestPutRegisterValue.Builder setOid(TraceRmi.DomObjId.Builder builderForValue)
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### mergeOid

    public TraceRmi.RequestPutRegisterValue.Builder mergeOid(TraceRmi.DomObjId value)
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### clearOid

    public TraceRmi.RequestPutRegisterValue.Builder clearOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getOidBuilder

    public TraceRmi.DomObjId.Builder getOidBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### getOidOrBuilder

    public TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Specified by:
      `getOidOrBuilder` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`

  - ### hasSnap

    public boolean hasSnap()
    `.ghidra.rmi.trace.Snap snap = 2;`
    Specified by:
      `hasSnap` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`
    Returns:
      Whether the snap field is set.

  - ### getSnap

    public TraceRmi.Snap getSnap()
    `.ghidra.rmi.trace.Snap snap = 2;`
    Specified by:
      `getSnap` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`
    Returns:
      The snap.

  - ### setSnap

    public TraceRmi.RequestPutRegisterValue.Builder setSnap(TraceRmi.Snap value)
    `.ghidra.rmi.trace.Snap snap = 2;`

  - ### setSnap

    public TraceRmi.RequestPutRegisterValue.Builder setSnap(TraceRmi.Snap.Builder builderForValue)
    `.ghidra.rmi.trace.Snap snap = 2;`

  - ### mergeSnap

    public TraceRmi.RequestPutRegisterValue.Builder mergeSnap(TraceRmi.Snap value)
    `.ghidra.rmi.trace.Snap snap = 2;`

  - ### clearSnap

    public TraceRmi.RequestPutRegisterValue.Builder clearSnap()
    `.ghidra.rmi.trace.Snap snap = 2;`

  - ### getSnapBuilder

    public TraceRmi.Snap.Builder getSnapBuilder()
    `.ghidra.rmi.trace.Snap snap = 2;`

  - ### getSnapOrBuilder

    public TraceRmi.SnapOrBuilder getSnapOrBuilder()
    `.ghidra.rmi.trace.Snap snap = 2;`
    Specified by:
      `getSnapOrBuilder` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`

  - ### getSpace

    public String getSpace()
    `string space = 3;`
    Specified by:
      `getSpace` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`
    Returns:
      The space.

  - ### getSpaceBytes

    public com.google.protobuf.ByteString getSpaceBytes()
    `string space = 3;`
    Specified by:
      `getSpaceBytes` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`
    Returns:
      The bytes for space.

  - ### setSpace

    public TraceRmi.RequestPutRegisterValue.Builder setSpace(String value)
    `string space = 3;`
    Parameters:
      `value` - The space to set.
    Returns:
      This builder for chaining.

  - ### clearSpace

    public TraceRmi.RequestPutRegisterValue.Builder clearSpace()
    `string space = 3;`
    Returns:
      This builder for chaining.

  - ### setSpaceBytes

    public TraceRmi.RequestPutRegisterValue.Builder setSpaceBytes(com.google.protobuf.ByteString value)
    `string space = 3;`
    Parameters:
      `value` - The bytes for space to set.
    Returns:
      This builder for chaining.

  - ### getValuesList

    public List<TraceRmi.RegVal> getValuesList()
    `repeated .ghidra.rmi.trace.RegVal values = 4;`
    Specified by:
      `getValuesList` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`

  - ### getValuesCount

    public int getValuesCount()
    `repeated .ghidra.rmi.trace.RegVal values = 4;`
    Specified by:
      `getValuesCount` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`

  - ### getValues

    public TraceRmi.RegVal getValues(int index)
    `repeated .ghidra.rmi.trace.RegVal values = 4;`
    Specified by:
      `getValues` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`

  - ### setValues

    public TraceRmi.RequestPutRegisterValue.Builder setValues(int index, TraceRmi.RegVal value)
    `repeated .ghidra.rmi.trace.RegVal values = 4;`

  - ### setValues

    public TraceRmi.RequestPutRegisterValue.Builder setValues(int index, TraceRmi.RegVal.Builder builderForValue)
    `repeated .ghidra.rmi.trace.RegVal values = 4;`

  - ### addValues

    public TraceRmi.RequestPutRegisterValue.Builder addValues(TraceRmi.RegVal value)
    `repeated .ghidra.rmi.trace.RegVal values = 4;`

  - ### addValues

    public TraceRmi.RequestPutRegisterValue.Builder addValues(int index, TraceRmi.RegVal value)
    `repeated .ghidra.rmi.trace.RegVal values = 4;`

  - ### addValues

    public TraceRmi.RequestPutRegisterValue.Builder addValues(TraceRmi.RegVal.Builder builderForValue)
    `repeated .ghidra.rmi.trace.RegVal values = 4;`

  - ### addValues

    public TraceRmi.RequestPutRegisterValue.Builder addValues(int index, TraceRmi.RegVal.Builder builderForValue)
    `repeated .ghidra.rmi.trace.RegVal values = 4;`

  - ### addAllValues

    public TraceRmi.RequestPutRegisterValue.Builder addAllValues(Iterable<? extends TraceRmi.RegVal> values)
    `repeated .ghidra.rmi.trace.RegVal values = 4;`

  - ### clearValues

    public TraceRmi.RequestPutRegisterValue.Builder clearValues()
    `repeated .ghidra.rmi.trace.RegVal values = 4;`

  - ### removeValues

    public TraceRmi.RequestPutRegisterValue.Builder removeValues(int index)
    `repeated .ghidra.rmi.trace.RegVal values = 4;`

  - ### getValuesBuilder

    public TraceRmi.RegVal.Builder getValuesBuilder(int index)
    `repeated .ghidra.rmi.trace.RegVal values = 4;`

  - ### getValuesOrBuilder

    public TraceRmi.RegValOrBuilder getValuesOrBuilder(int index)
    `repeated .ghidra.rmi.trace.RegVal values = 4;`
    Specified by:
      `getValuesOrBuilder` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`

  - ### getValuesOrBuilderList

    public List<? extends TraceRmi.RegValOrBuilder> getValuesOrBuilderList()
    `repeated .ghidra.rmi.trace.RegVal values = 4;`
    Specified by:
      `getValuesOrBuilderList` in interface `TraceRmi.RequestPutRegisterValueOrBuilder`

  - ### addValuesBuilder

    public TraceRmi.RegVal.Builder addValuesBuilder()
    `repeated .ghidra.rmi.trace.RegVal values = 4;`

  - ### addValuesBuilder

    public TraceRmi.RegVal.Builder addValuesBuilder(int index)
    `repeated .ghidra.rmi.trace.RegVal values = 4;`

  - ### getValuesBuilderList

    public List<TraceRmi.RegVal.Builder> getValuesBuilderList()
    `repeated .ghidra.rmi.trace.RegVal values = 4;`